com.h3c.sdn.teamconfig

## Enum SystemConfigRsp.Status

- java.lang.Object
- - java.lang.Enum<SystemConfigRsp.Status>
  - - com.h3c.sdn.teamconfig.SystemConfigRsp.Status

- All Implemented Interfaces:
    Serializable, Comparable<SystemConfigRsp.Status>
  Enclosing class:
    SystemConfigRsp

      public static enum SystemConfigRsp.Status
      extends Enum<SystemConfigRsp.Status>

  System status

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE` System is up and running.
    `DOWN` System is down.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SystemConfigRsp.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SystemConfigRsp.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVE

          public static final SystemConfigRsp.Status ACTIVE

      System is up and running.

    - #### DOWN

          public static final SystemConfigRsp.Status DOWN

      System is down.

  - ### Method Detail

    - #### values

          public static SystemConfigRsp.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SystemConfigRsp.Status c : SystemConfigRsp.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SystemConfigRsp.Status valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.